<?php

namespace Site\FrontendBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;
use Symfony\Bridge\Doctrine\Validator\Constraints as DoctrineAssert;
use Doctrine\Common\Collections\ArrayCollection;
//use Site\FrontendBundle\Entity\Categories;


/**
 * Data
 *
 * @ORM\Table(name="data", uniqueConstraints={@ORM\UniqueConstraint(name="id_UNIQUE", columns={"id"})})
 * @ORM\Entity
 */
class Data
{

    public function getDelete()
    {

    }

    public function getId()
    {
        return $this->id;
    }

    public function getIdCategory()
    {
        return $this->idcategory;
    }

    public function setIdCategory($idcategory)
    {
        return $this->idcategory = $idcategory;
    }

    public function getIdUser()
    {
        return $this->iduser;
    }

    public function setIdUser($iduser)
    {
        return $this->iduser = $iduser;
    }

    public function getFile()
    {
        return $this->file;
    }

    public function setFile($filename)
    {
        return $this->file = $filename;
    }

    public function getWeb()
    {
        return $this->web;
    }

    public function setWeb($web)
    {
        return $this->web = $web;
    }

    public function getType()
    {
        return $this->type;
    }

    public function setType($type)
    {
        return $this->type = $type;
    }

    public function getSize()
    {
        return $this->size;
    }

    public function setSize($size)
    {
        return $this->size = $size;
    }

    public function getDateTime()
    {
        return $this->datetime;
    }

    public function setDateTime($datetime)
    {
        return $this->datetime = $datetime;
    }

    public function getName()
    {
        return $this->nameeng;
    }

    public function getNameEng()
    {
        return $this->nameeng;
    }

    public function setNameEng($nameeng)
    {
        return $this->nameeng = $nameeng;
    }

    public function getNameCat()
    {
        return $this->namecat;
    }

    public function setNameCat($namecat)
    {
        return $this->namecat = $namecat;
    }

    public function getNameSpa()
    {
        return $this->namespa;
    }

    public function setNameSpa($namespa)
    {
        return $this->namespa = $namespa;
    }

    public function getMessage()
    {
        return $this->message;
    }

    public function setMessage($message)
    {
        return $this->message = $message;
    }

    public function getMetadata()
    {
        return $this->metadata;
    }

    public function setMetadata($metadata)
    {
        return $this->metadata = $metadata;
    }

    public function getViews()
    {
        return $this->views;
    }

    public function setViews($views)
    {
        return $this->views = $views;
    }

    public function getAccepted()
    {
        return $this->accepted;
    }

    public function setAccepted($accepted)
    {
        return $this->accepted = $accepted;
    }

    public function getCategory()
    {
        return $this->idcategory;
    }

    public function setCategory($idcategory)
    {
        return $this->idcategory = $idcategory;
    }

    public function __construct()
    {
        $this->datetime = new \DateTime();
    }

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="idCategory", type="integer", nullable=false)
     */
    private $idcategory;

    /**
     * @var integer
     *
     * @ORM\Column(name="idUser", type="integer", nullable=false)
     */
    private $iduser;

    /**
     * @var string
     *
     * @ORM\Column(name="file", type="string", length=255, nullable=false)
     *
     */
    ## @var \Symfony\Component\HttpFoundation\File\UploadedFile ##
    ## @Assert\File(maxSize="20M", maxSizeMessage="20MB maximum please.") ##
    private $file;

    /**
     * @var string
     *
     * @ORM\Column(name="web", type="string", length=255, nullable=false)
     */
    private $web;

    /**
     * @var string
     *
     * @ORM\Column(name="type", type="string", length=10, nullable=false)
     */
    private $type;

    /**
     * @var string
     *
     * @ORM\Column(name="size", type="decimal", precision=10, scale=0, nullable=false)
     */
    private $size;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateTime", type="datetime", nullable=false)
     */
    private $datetime;

    /**
     * @var string
     *
     * @ORM\Column(name="nameEng", type="string", length=100, nullable=false)
     */
    private $nameeng;

    /**
     * @var string
     *
     * @ORM\Column(name="nameCat", type="string", length=100, nullable=false)
     */
    private $namecat;

    /**
     * @var string
     *
     * @ORM\Column(name="nameSpa", type="string", length=100, nullable=false)
     */
    private $namespa;

    /**
     * @var string
     *
     * @ORM\Column(name="message", type="string", length=500, nullable=false)
     */
    private $message;

    /**
     * @var string
     *
     * @ORM\Column(name="metadata", type="string", length=200, nullable=false)
     */
    private $metadata;

    /**
     * @var integer
     *
     * @ORM\Column(name="views", type="integer", nullable=false)
     */
    private $views;

    /**
     * @var boolean
     *
     * @ORM\Column(name="accepted", type="boolean", nullable=false)
     */
    private $accepted;
}
